import request from '@/assets/js/utils/request'

// 按钮管理 - 获取按钮管理列表接口
export function queryButtonList(data) {
  return request({
    // url: '/bidprocurement/datacenter-dangtfz/permissionsButton/queryButtonList',
    url: '/bidprocurement/common-user/permissionsButton/queryButtonList',
    method: 'post',
    data
  })
}

// 按钮管理 - 删除按钮接口
export function deleteButtonById(data) {
  return request({
    // url: '/bidprocurement/datacenter-dangtfz/permissionsButton/deleteButtonById?id=' + data.id,
    url: '/bidprocurement/common-user/permissionsButton/deleteButtonById?id=' + data.id,
    method: 'post',
    data
  })
}
// 按钮管理 - 增加或编辑保存按钮接口
export function saveOrUpdateButton(data) {
  return request({
    // url: '/bidprocurement/datacenter-dangtfz/permissionsButton/saveOrUpdateButton',
    url: '/bidprocurement/common-user/permissionsButton/saveOrUpdateButton',
    method: 'post',
    data
  })
}

// 按钮管理 - 按钮权限列表接口
export function getRoleButtonList(data) {
  return request({
    // url: '/bidprocurement/datacenter-dangtfz/permissionsRoleButton/getRoleButtonList?roleId=' + data.roleId,
    url: '/bidprocurement/common-user/permissionsRoleButton/getRoleButtonList?roleId=' + data.roleId,
    method: 'post',
    data
  })
}
// 按钮管理 - 设置按钮权限接口
export function setRoleButtonList(data) {
  return request({
    // url: '/bidprocurement/datacenter-dangtfz/permissionsRoleButton/setRoleButtonList',
    url: '/bidprocurement/common-user/permissionsRoleButton/setRoleButtonList',
    method: 'post',
    data
  })
}
// 按钮管理 - 获取页面按钮权限数据
export function queryProcurementButtonInitInfo() {
  return request({
    // url: '/bidprocurement/datacenter-dangtfz/permissionsRoleButton/queryProcurementButtonInitInfo'
    url: '/bidprocurement/common-user/permissionsRoleButton/queryProcurementButtonInitInfo',
    method: 'post'
  })
}
